Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -6949,16 +6742,15 @@
 !--             Calculate moments of DSD.
                 DO  n = 1, number_of_particles
-                   IF ( particles(n)%particle_mask  .AND.                      &
-                        particles(n)%radius >= r_min )                         &
+                   IF ( particles(n)%particle_mask  .AND.  particles(n)%radius >= r_min )          &
                    THEN
                       nr  = nr  + particles(n)%weight_factor
-                      rm  = rm  + factor_volume_to_mass  *                     &
-                                 particles(n)%radius**3  *                     &
+                      rm  = rm  + factor_volume_to_mass  *                                         &
+                                 particles(n)%radius**3  *                                         &
                                  particles(n)%weight_factor
-                      IF ( isf == 1 )  THEN           
+                      IF ( isf == 1 )  THEN
                          diameter   = particles(n)%radius * 2.0_wp
-                         lwc = lwc + factor_volume_to_mass *                   &
-                                     particles(n)%radius**3 *                  & 
-                                     particles(n)%weight_factor 
+                         lwc = lwc + factor_volume_to_mass *                                       &
+                                     particles(n)%radius**3 *                                      &
+                                     particles(n)%weight_factor
                          m1  = m1  + particles(n)%weight_factor * diameter
                          m2  = m2  + particles(n)%weight_factor * diameter**2
@@ -6966,5 +6758,5 @@
                       ENDIF
                    ENDIF
-                ENDDO 
+                ENDDO
              ENDDO
           ENDDO
@@ -6973,78 +6765,56 @@
 #if defined( __parallel )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( nr, nr_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
-       CALL MPI_ALLREDUCE( rm, rm_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( nr, nr_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( rm, rm_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( nrclgb, nrclgb_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( nrclgb, nrclgb_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( lwc, lwc_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( lwc, lwc_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( m1, m1_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( m1, m1_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( m2, m2_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( m2, m2_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( m3, m3_total, 1 , &
-       MPI_REAL, MPI_SUM, comm2d, ierr )
-#endif 
+       CALL MPI_ALLREDUCE( m3, m3_total, 1 , MPI_REAL, MPI_SUM, comm2d, ierr )
+#endif
 
 !
 !--    Calculate number concentration and mean volume averaged radius.
-       nr_total = MERGE( nr_total / nrclgb_total,                              &
-                         0.0_wp, nrclgb_total > 0.0_wp                         &
-                       )
-       rm_total = MERGE( ( rm_total /                                          &
-                            ( nr_total * factor_volume_to_mass )               &
-                          )**0.3333333_wp, 0.0_wp, nrclgb_total > 0.0_wp       &
+       nr_total = MERGE( nr_total / nrclgb_total, 0.0_wp, nrclgb_total > 0.0_wp )
+       rm_total = MERGE( ( rm_total / ( nr_total * factor_volume_to_mass ) )**0.3333333_wp, 0.0_wp,&
+                          nrclgb_total > 0.0_wp                                                    &
                        )
 !
 !--    Check which function should be used to approximate the DSD.
        IF ( isf == 1 )  THEN
-          lwc_total = MERGE( lwc_total / nrclgb_total,                         &
-                             0.0_wp, nrclgb_total > 0.0_wp                     &
-                           )
-          m1_total  = MERGE( m1_total / nrclgb_total,                          &
-                             0.0_wp, nrclgb_total > 0.0_wp                     &
-                           )
-          m2_total  = MERGE( m2_total / nrclgb_total,                          &
-                             0.0_wp, nrclgb_total > 0.0_wp                     &
-                           )
-          m3_total  = MERGE( m3_total / nrclgb_total,                          &
-                             0.0_wp, nrclgb_total > 0.0_wp                     &
-                           )
+          lwc_total = MERGE( lwc_total / nrclgb_total, 0.0_wp, nrclgb_total > 0.0_wp )
+          m1_total  = MERGE( m1_total  / nrclgb_total, 0.0_wp, nrclgb_total > 0.0_wp )
+          m2_total  = MERGE( m2_total  / nrclgb_total, 0.0_wp, nrclgb_total > 0.0_wp )
+          m3_total  = MERGE( m3_total  / nrclgb_total, 0.0_wp, nrclgb_total > 0.0_wp )
           zeta = m1_total * m3_total / m2_total**2
-          mu   = MAX( ( ( 1.0_wp - zeta ) * 2.0_wp + 1.0_wp ) /                &
-                        ( zeta - 1.0_wp ), 0.0_wp                              &
-                    )
-
-          lambda = ( pirho_l * nr_total / lwc_total *                          &
-                     ( mu + 3.0_wp ) * ( mu + 2.0_wp ) * ( mu + 1.0_wp )       &
+          mu   = MAX( ( ( 1.0_wp - zeta ) * 2.0_wp + 1.0_wp ) / ( zeta - 1.0_wp ), 0.0_wp )
+
+          lambda = ( pirho_l * nr_total / lwc_total *                                              &
+                     ( mu + 3.0_wp ) * ( mu + 2.0_wp ) * ( mu + 1.0_wp )                           &
                    )**0.3333333_wp
-          nr0 = nr_total / gamma( mu + 1.0_wp ) * lambda**( mu + 1.0_wp ) 
+          nr0 = nr_total / gamma( mu + 1.0_wp ) * lambda**( mu + 1.0_wp )
 
           DO  n = 0, n_max-1
              diameter  = r_bin_mid(n) * 2.0_wp
-             an_spl(n) = nr0 * diameter**mu * EXP( -lambda * diameter ) *      & 
-                         ( r_bin(n+1) - r_bin(n) ) * 2.0_wp 
+             an_spl(n) = nr0 * diameter**mu * EXP( -lambda * diameter ) *                          &
+                         ( r_bin(n+1) - r_bin(n) ) * 2.0_wp
           ENDDO
        ELSEIF ( isf == 2 )  THEN
           DO  n = 0, n_max-1
-             an_spl(n) = nr_total / ( SQRT( 2.0_wp * pi ) *                    &
-                                     LOG(sigma_log) * r_bin_mid(n)             &
-                                     ) *                                       &
-                         EXP( -( LOG( r_bin_mid(n) / rm_total )**2 ) /         &
-                               ( 2.0_wp * LOG(sigma_log)**2 )                  & 
-                             ) *                                               & 
+             an_spl(n) = nr_total / ( SQRT( 2.0_wp * pi ) * LOG(sigma_log) * r_bin_mid(n) ) *      &
+                         EXP( -( LOG( r_bin_mid(n) / rm_total )**2 ) /                             &
+                               ( 2.0_wp * LOG(sigma_log)**2 )                                      &
+                            ) *                                                                    &
                          ( r_bin(n+1) - r_bin(n) )
           ENDDO
        ELSEIF( isf == 3 )  THEN
-          DO  n = 0, n_max-1 
-             an_spl(n) = 3.0_wp * nr_total * r_bin_mid(n)**2 / rm_total**3  *  &
-                         EXP( - ( r_bin_mid(n)**3 / rm_total**3 ) )         *  &
+          DO  n = 0, n_max-1
+             an_spl(n) = 3.0_wp * nr_total * r_bin_mid(n)**2 / rm_total**3  *                      &
+                         EXP( -( r_bin_mid(n)**3 / rm_total**3 ) )          *                      &
                          ( r_bin(n+1) - r_bin(n) )
           ENDDO
@@ -7058,38 +6828,33 @@
              DO  k = nzb+1, nzt
                 number_of_particles = prt_count(k,j,i)
-                IF ( number_of_particles <= 0  .OR.                            &
-                     ql(k,j,i) < ql_crit )  CYCLE
+                IF ( number_of_particles <= 0  .OR.  ql(k,j,i) < ql_crit )  CYCLE
                 particles => grid_particles(k,j,i)%particles(1:number_of_particles)
                 new_particles_gb = 0
 !
-!--             Start splitting operations. Each particle is checked if it
-!--             fulfilled the splitting criterion's. In splitting mode 'cl_av'
-!--             a critical radius (radius_split) and a splitting function must
-!--             be prescribed (see particles_par). The critical weighting factor
-!--             is calculated while approximating a 'gamma', 'log' or 'exp'-
-!--             drop size distribution. In this mode the DSD is calculated as
-!--             an average over all cloudy grid boxes. Super droplets which
-!--             have a larger radius and larger weighting factor are split into
-!--             'splitting_factor' super droplets. In this case the splitting
-!--             factor is calculated of weighting factor of the super droplet
-!--             and the approximated number concentration for droplet of such
-!--             a size. Due to the splitting, the weighting factor of the
-!--             super droplet and all created clones is reduced by the factor
-!--             of 'splitting_facor'.
+!--             Start splitting operations. Each particle is checked if it fulfilled the splitting
+!--             criterion's. In splitting mode 'cl_av' a critical radius (radius_split) and a
+!--             splitting function must be prescribed (see particles_par). The critical weighting
+!--             factor is calculated while approximating a 'gamma', 'log' or 'exp'- drop size
+!--             distribution. In this mode the DSD is calculated as an average over all cloudy grid
+!--             boxes. Super droplets which have a larger radius and larger weighting factor are
+!--             split into 'splitting_factor' super droplets. In this case the splitting factor is
+!--             calculated of weighting factor of the super droplet and the approximated number
+!--             concentration for droplet of such a size. Due to the splitting, the weighting factor
+!--             of the super droplet and all created clones is reduced by the factor of
+!--             'splitting_facor'.
                 DO  n = 1, number_of_particles
                    DO  np = 0, n_max-1
-                      IF ( r_bin(np) >= radius_split  .AND.                    &
-                           particles(n)%particle_mask  .AND.                   &
-                           particles(n)%radius >= r_bin(np)  .AND.             &
-                           particles(n)%radius < r_bin(np+1)  .AND.            &
-                           particles(n)%weight_factor >= an_spl(np)  )         &
+                      IF ( r_bin(np) >= radius_split          .AND.                                &
+                           particles(n)%particle_mask         .AND.                                &
+                           particles(n)%radius >= r_bin(np)   .AND.                                &
+                           particles(n)%radius < r_bin(np+1)  .AND.                                &
+                           particles(n)%weight_factor >= an_spl(np)  )                             &
                       THEN
 !
 !--                      Calculate splitting factor
-                         splitting_factor =                                    & 
-                             MIN( INT( particles(n)%weight_factor /            &
-                                        an_spl(np)                             &
-                                     ), splitting_factor_max                   &
-                                )
+                         splitting_factor = MIN( INT( particles(n)%weight_factor /                 &
+                                                       an_spl(np)                                  &
+                                                    ), splitting_factor_max                        &
+                                               )
                          IF ( splitting_factor < 2 )  CYCLE
 !
@@ -7097,34 +6862,29 @@
                          new_size = prt_count(k,j,i) + splitting_factor - 1
 !
-!--                      Cycle if maximum number of particles per grid box
-!--                      is greater than the allowed maximum number.
-                         IF ( new_size >= max_number_particles_per_gridbox )   & 
-                         CYCLE
-!
-!--                      Reallocate particle array if necessary. 
-                         IF ( new_size > SIZE(particles) )  THEN 
+!--                      Cycle if maximum number of particles per grid box is greater than the
+!--                      allowed maximum number.
+                         IF ( new_size >= max_number_particles_per_gridbox )  CYCLE
+!
+!--                      Reallocate particle array if necessary.
+                         IF ( new_size > SIZE( particles ) )  THEN
                             CALL realloc_particles_array( i, j, k, new_size )
                          ENDIF
                          old_size  = prt_count(k,j,i)
-                         new_particles_gb = new_particles_gb +                 &
-                                            splitting_factor - 1
+                         new_particles_gb = new_particles_gb + splitting_factor - 1
 !
 !--                      Calculate new weighting factor.
-                         particles(n)%weight_factor =                          & 
-                            particles(n)%weight_factor / splitting_factor
+                         particles(n)%weight_factor = particles(n)%weight_factor / splitting_factor
                          tmp_particle = particles(n)
 !
 !--                      Create splitting_factor-1 new particles.
                          DO  jpp = 1, splitting_factor-1
-                            grid_particles(k,j,i)%particles(jpp+old_size) =    &
-                                                                    tmp_particle
+                            grid_particles(k,j,i)%particles(jpp+old_size) = tmp_particle
                          ENDDO
 !
-!--                      Save the new number of super droplets. 
-                         prt_count(k,j,i) = prt_count(k,j,i) +                 &
-                                            splitting_factor - 1
+!--                      Save the new number of super droplets.
+                         prt_count(k,j,i) = prt_count(k,j,i) + splitting_factor - 1
                       ENDIF
                    ENDDO
-                ENDDO 
+                ENDDO
 
              ENDDO
@@ -7132,5 +6892,5 @@
        ENDDO
 
-    ELSEIF ( i_splitting_mode == 3 )  THEN 
+    ELSEIF ( i_splitting_mode == 3 )  THEN
 
        DO  i = nxl, nxr
@@ -7145,26 +6905,24 @@
                 m3  = 0.0_wp
                 nr  = 0.0_wp
-                rm  = 0.0_wp  
+                rm  = 0.0_wp
 
                 new_particles_gb = 0
                 number_of_particles = prt_count(k,j,i)
-                IF ( number_of_particles <= 0  .OR.                            & 
-                     ql(k,j,i) < ql_crit )  CYCLE
+                IF ( number_of_particles <= 0  .OR.  ql(k,j,i) < ql_crit )  CYCLE
                 particles => grid_particles(k,j,i)%particles
 !
 !--             Calculate moments of DSD.
                 DO  n = 1, number_of_particles
-                   IF ( particles(n)%particle_mask  .AND.                      &
-                        particles(n)%radius >= r_min )                         &
+                   IF ( particles(n)%particle_mask  .AND.  particles(n)%radius >= r_min )          &
                    THEN
                       nr  = nr + particles(n)%weight_factor
-                      rm  = rm + factor_volume_to_mass  *                      &
-                                 particles(n)%radius**3  *                     &
+                      rm  = rm + factor_volume_to_mass  *                                          &
+                                 particles(n)%radius**3  *                                         &
                                  particles(n)%weight_factor
                       IF ( isf == 1 )  THEN
                          diameter   = particles(n)%radius * 2.0_wp
-                         lwc = lwc + factor_volume_to_mass *                   &
-                                     particles(n)%radius**3 *                  &
-                                     particles(n)%weight_factor 
+                         lwc = lwc + factor_volume_to_mass *                                       &
+                                     particles(n)%radius**3 *                                      &
+                                     particles(n)%weight_factor
                          m1  = m1 + particles(n)%weight_factor * diameter
                          m2  = m2 + particles(n)%weight_factor * diameter**2
@@ -7182,43 +6940,40 @@
                 IF ( isf == 1 )  THEN
 !
-!--                Gamma size distribution to calculate  
+!--                Gamma size distribution to calculate
 !--                critical weight_factor (e.g. Marshall + Palmer, 1948).
                    zeta = m1 * m3 / m2**2
-                   mu   = MAX( ( ( 1.0_wp - zeta ) * 2.0_wp + 1.0_wp ) /       &
-                                ( zeta - 1.0_wp ), 0.0_wp                      &
-                             )   
-                   lambda = ( pirho_l * nr / lwc *                             &
-                              ( mu + 3.0_wp ) * ( mu + 2.0_wp ) *              &
-                              ( mu + 1.0_wp )                                  &
+                   mu   = MAX( ( ( 1.0_wp - zeta ) * 2.0_wp + 1.0_wp ) / ( zeta - 1.0_wp ), 0.0_wp )
+                   lambda = ( pirho_l * nr / lwc *                                                 &
+                              ( mu + 3.0_wp ) * ( mu + 2.0_wp ) * ( mu + 1.0_wp )                  &
                             )**0.3333333_wp
-                   nr0 =  ( nr / (gamma( mu + 1.0_wp ) ) ) *                   &
-                          lambda**( mu + 1.0_wp ) 
+                   nr0 =  ( nr / (gamma( mu + 1.0_wp ) ) ) *                                       &
+                          lambda**( mu + 1.0_wp )
 
                    DO  n = 0, n_max-1
                       diameter         = r_bin_mid(n) * 2.0_wp
-                      an_spl(n) = nr0 * diameter**mu *                         &
-                                  EXP( -lambda * diameter ) *                  & 
-                                  ( r_bin(n+1) - r_bin(n) ) * 2.0_wp 
+                      an_spl(n) = nr0 * diameter**mu *                                             &
+                                  EXP( -lambda * diameter ) *                                      &
+                                  ( r_bin(n+1) - r_bin(n) ) * 2.0_wp
                    ENDDO
                 ELSEIF ( isf == 2 )  THEN
 !
-!--                Lognormal size distribution to calculate critical 
+!--                Lognormal size distribution to calculate critical
 !--                weight_factor (e.g. Levin, 1971, Bradley + Stow, 1974).
                    DO  n = 0, n_max-1
-                      an_spl(n) = nr / ( SQRT( 2.0_wp * pi ) *                 &
-                                              LOG(sigma_log) * r_bin_mid(n)    &
-                                        ) *                                    &
-                                  EXP( -( LOG( r_bin_mid(n) / rm )**2 ) /      &
-                                        ( 2.0_wp * LOG(sigma_log)**2 )         &
-                                      ) *                                      &
+                      an_spl(n) = nr / ( SQRT( 2.0_wp * pi ) *                                     &
+                                              LOG(sigma_log) * r_bin_mid(n)                        &
+                                       ) *                                                         &
+                                  EXP( -( LOG( r_bin_mid(n) / rm )**2 ) /                          &
+                                        ( 2.0_wp * LOG(sigma_log)**2 )                             &
+                                     ) *                                                           &
                                   ( r_bin(n+1) - r_bin(n) )
                    ENDDO
                 ELSEIF ( isf == 3 )  THEN
 !
-!--                Exponential size distribution to calculate critical 
-!--                weight_factor (e.g. Berry + Reinhardt, 1974).  
+!--                Exponential size distribution to calculate critical weight_factor
+!--                (e.g. Berry + Reinhardt, 1974).
                    DO  n = 0, n_max-1
-                      an_spl(n) = 3.0_wp * nr * r_bin_mid(n)**2 / rm**3 *     &
-                                  EXP( - ( r_bin_mid(n)**3 / rm**3 ) ) *      &
+                      an_spl(n) = 3.0_wp * nr * r_bin_mid(n)**2 / rm**3 *                          &
+                                  EXP( - ( r_bin_mid(n)**3 / rm**3 ) ) *                           &
                                   ( r_bin(n+1) - r_bin(n) )
                    ENDDO
@@ -7229,33 +6984,28 @@
                 an_spl = MAX(an_spl, 1.0_wp)
 !
-!--             Start splitting operations. Each particle is checked if it
-!--             fulfilled the splitting criterion's. In splitting mode 'gb_av'
-!--             a critical radius (radius_split) and a splitting function must 
-!--             be prescribed (see particles_par). The critical weighting factor
-!--             is calculated while appoximating a 'gamma', 'log' or 'exp'-
-!--             drop size distribution. In this mode a DSD is calculated for 
-!--             every cloudy grid box. Super droplets which have a larger 
-!--             radius and larger weighting factor are split into
-!--             'splitting_factor' super droplets. In this case the splitting  
-!--             factor is calculated of weighting factor of the super droplet  
-!--             and theapproximated number concentration for droplet of such 
-!--             a size. Due to the splitting, the weighting factor of the  
-!--             super droplet and all created clones is reduced by the factor  
-!--             of 'splitting_facor'.
+!--             Start splitting operations. Each particle is checked if it fulfilled the splitting
+!--             criterions. In splitting mode 'gb_av' a critical radius (radius_split) and a
+!--             splitting function must be prescribed (see particles_par). The critical weighting
+!--             factor is calculated while appoximating a 'gamma', 'log' or 'exp'-drop size
+!--             distribution. In this mode a DSD is calculated for every cloudy grid box. Super
+!--             droplets which have a larger radius and larger weighting factor are split into
+!--             'splitting_factor' super droplets. In this case the splitting factor is calculated
+!--             by the weighting factor of the super droplet  and the approximated number
+!--             concentration for droplets of such size. Due to the splitting, the weighting factor
+!--             of the super droplet and all created clones are reduced by the factor  of
+!--             'splitting_facor'.
                 DO  n = 1, number_of_particles
                    DO  np = 0, n_max-1
-                      IF ( r_bin(np) >= radius_split  .AND.                    &
-                           particles(n)%particle_mask  .AND.                   &
-                           particles(n)%radius >= r_bin(np)    .AND.           &
-                           particles(n)%radius < r_bin(np+1)   .AND.           &
-                           particles(n)%weight_factor >= an_spl(np) )          &
+                      IF ( r_bin(np) >= radius_split           .AND.                               &
+                           particles(n)%particle_mask          .AND.                               &
+                           particles(n)%radius >= r_bin(np)    .AND.                               &
+                           particles(n)%radius < r_bin(np+1)   .AND.                               &
+                           particles(n)%weight_factor >= an_spl(np) )                              &
                       THEN
 !
 !--                      Calculate splitting factor.
-                         splitting_factor =                                    & 
-                             MIN( INT( particles(n)%weight_factor /            &
-                                        an_spl(np)                             &
-                                     ), splitting_factor_max                   &
-                                )
+                         splitting_factor = MIN( INT( particles(n)%weight_factor / an_spl(np) ),   &
+                                                 splitting_factor_max                              &
+                                               )
                          IF ( splitting_factor < 2 )  CYCLE
 
@@ -7266,15 +7016,13 @@
 !--                      Cycle if maximum number of particles per grid box
 !--                      is greater than the allowed maximum number.
-                         IF ( new_size >= max_number_particles_per_gridbox )   &
-                         CYCLE
+                         IF ( new_size >= max_number_particles_per_gridbox )  CYCLE
 !
 !--                      Reallocate particle array if necessary.
-                         IF ( new_size > SIZE(particles) )  THEN 
+                         IF ( new_size > SIZE( particles ) )  THEN
                             CALL realloc_particles_array( i, j, k, new_size )
                          ENDIF
 !
 !--                      Calculate new weighting factor.
-                         particles(n)%weight_factor = & 
-                            particles(n)%weight_factor / splitting_factor
+                         particles(n)%weight_factor = particles(n)%weight_factor / splitting_factor
                          tmp_particle               = particles(n)
                          old_size                   = prt_count(k,j,i)
@@ -7282,13 +7030,10 @@
 !--                      Create splitting_factor-1 new particles.
                          DO  jpp = 1, splitting_factor-1
-                            grid_particles(k,j,i)%particles( jpp + old_size ) = &
-                               tmp_particle
+                            grid_particles(k,j,i)%particles( jpp + old_size ) = tmp_particle
                          ENDDO
 !
 !--                      Save the new number of droplets for every grid box.
-                         prt_count(k,j,i)    = prt_count(k,j,i) +              &
-                                               splitting_factor - 1
-                         new_particles_gb    = new_particles_gb +              &
-                                               splitting_factor - 1
+                         prt_count(k,j,i)    = prt_count(k,j,i) + splitting_factor - 1
+                         new_particles_gb    = new_particles_gb + splitting_factor - 1
                       ENDIF
                    ENDDO
@@ -7302,17 +7047,15 @@
 
  END SUBROUTINE lpm_splitting
- 
-
-!------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-! This routine is a part of the Lagrangian particle model. Two Super droplets 
-! which fulfill certain criterion's (e.g. a big weighting factor and a small
-! radius) can be merged into one super droplet with a increased number of 
-! represented particles of the super droplet. This mechanism ensures an
-! improved a feasible amount of computational costs. The limits of particle 
-! creation should be chosen carefully! The idea of this algorithm is based on 
-! Unterstrasser and Soelch, 2014. 
-!------------------------------------------------------------------------------!
+! This routine is a part of the Lagrangian particle model. Two Super droplets which fulfill certain
+! criterions (e.g. a big weighting factor and a small radius) can be merged into one super droplet
+! with a increased number of represented particles of the super droplet. This mechanism ensures an
+! improved feasible amount of computational costs. The limits of particle creation should be chosen
+! carefully! The idea of this algorithm is based on Unterstrasser and Soelch, 2014.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_merging
 
@@ -7324,5 +7067,5 @@
 
 
-    REAL(wp) ::  ql_crit = 1.0E-5_wp  !< threshold lwc for cloudy grid cells 
+    REAL(wp) ::  ql_crit = 1.0E-5_wp  !< threshold lwc for cloudy grid cells
                                       !< (e.g. Siebesma et al 2003, JAS, 60)
 
@@ -7332,5 +7075,5 @@
 
     IF ( weight_factor_merge == -1.0_wp )  THEN
-       weight_factor_merge = 0.5_wp * initial_weighting_factor 
+       weight_factor_merge = 0.5_wp * initial_weighting_factor
     ENDIF
 
